# Class ReadStoreElement
Represents a single read (without sequence).

Defined in | <seqan/store.h>
Signature | `template <[typename TSpec]> struct ReadStoreElement;`

## Template Parameters

`TSpec` | The specializing type. Default: `void`.

## Member Function Overview

- `ReadStoreElement::ReadStoreElement();`
  Constructor.

## Member Variable Overview

- `TId ReadStoreElement::INVALID_ID`
  Constant to represetn an invalid id.
- `TId ReadStoreElement::matePairId`
  Refers to a mate pair in the matePairStore or is INVALID_ID if the read is not paired.

## Member Functions Detail

### `ReadStoreElement::ReadStoreElement();`

Constructor.

Sets ReadStoreElement::matePairId to ReadStoreElement::INVALID_ID.

#### Data Races

If not stated otherwise, concurrent invocation is not guaranteed to be thread-safe.

## Member Variables Detail

### `TId ReadStoreElement::INVALID_ID`

Constant to represetn an invalid id.

### `TId ReadStoreElement::matePairId`

Refers to a mate pair in the matePairStore or is INVALID_ID if the read is not paired.

#### Dox Sources

    /*!
     * @class ReadStoreElement
     *
     * @headerfile <seqan/store.h>
     *
     * @brief Represents a single read (without sequence).
     *
     * @signature template <[typename TSpec]> struct ReadStoreElement;
     *
     * @tparam TSpec The specializing type. Default: <tt>void</tt>.
     *
     * @fn ReadStoreElement::ReadStoreElement
     *
     * @brief Constructor.
     *
     * @signature ReadStoreElement::ReadStoreElement();
     *
     * Sets ReadStoreElement::matePairId to ReadStoreElement::INVALID_ID.
     *
     * @var TId ReadStoreElement::matePairId;
     *
     * @brief Refers to a mate pair in the @link FragmentStore::matePairStore
     *        @endlink or is INVALID_ID if the read is not paired.
     *
     * @var TId ReadStoreElement::INVALID_ID;
     *
     * @brief Constant to represetn an invalid id.
     */